VkRenderPassCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkRenderPassCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkRenderPassCreateFlags | flags
uint32_t | attachmentCount
const VkAttachmentDescription * | pAttachments
uint32_t | subpassCount
const VkSubpassDescription * | pSubpasses
uint32_t | dependencyCount
const VkSubpassDependency * | pDependencies

## Detailed Description

Definition at line 2293 of file vulkan.h.

## Field Documentation

## attachmentCount

uint32_t VkRenderPassCreateInfo::attachmentCount

Definition at line 2297 of file vulkan.h.

## dependencyCount

uint32_t VkRenderPassCreateInfo::dependencyCount

Definition at line 2301 of file vulkan.h.

## flags

VkRenderPassCreateFlags VkRenderPassCreateInfo::flags

Definition at line 2296 of file vulkan.h.

## pAttachments

const VkAttachmentDescription* VkRenderPassCreateInfo::pAttachments

Definition at line 2298 of file vulkan.h.

## pDependencies

const VkSubpassDependency* VkRenderPassCreateInfo::pDependencies

Definition at line 2302 of file vulkan.h.

## pNext

const void* VkRenderPassCreateInfo::pNext

Definition at line 2295 of file vulkan.h.

## pSubpasses

const VkSubpassDescription* VkRenderPassCreateInfo::pSubpasses

Definition at line 2300 of file vulkan.h.

## sType

VkStructureType VkRenderPassCreateInfo::sType

Definition at line 2294 of file vulkan.h.

## subpassCount

uint32_t VkRenderPassCreateInfo::subpassCount

Definition at line 2299 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h